<!-- <h2>Filtrar busqueda de ticket</h2>
<form action="">
  <div class="d-flex">
    <div class="d-flex flex-column">
      <label for="fecha de inicio">Inicio</label>
      <input type="date" name="" id="" />
    </div>
    <div class="d-flex flex-column">
      <label for="fecha de fin">Fin</label>
      <input type="date" name="" id="" />
    </div>

    <div class="d-flex flex-column">
      <label for="">Terminal</label>
      <select name="" id="">
        <option value="A13491">A13491</option>
        <option value="a07929">a07929</option>
      </select>
    </div>
  </div>
</form> -->
<h2>Filtrar por Terminal</h2>
<div class="row">
  <button class="btn btn-danger col-2 m-1" (click)="filtrarTerminal('A13491')">
    a13491
  </button>
  <button class="btn btn-danger col-2 m-1" (click)="filtrarTerminal('A07929')">
    a07929
  </button>
  <button class="btn btn-danger col-2 m-1" (click)="filtrarTerminal('364')">
    364
  </button>
</div>
<!-- <button type="button" type="button" (click)="traerticket()">Buscar</button>
 -->
<table class="table">
  <thead>
    <tr>
      <th class="col">Fecha</th>
      <th class="col">Hora</th>
      <th class="col">Terminal</th>
      <th class="col">Cobranzas efectivo</th>
      <th class="col">Cobranzas pei</th>
      <th class="col">Cobranzas pendiente efectivo</th>
      <th class="col">Cobranzas pendiente pei</th>
      <th class="col">Pago Efectivo</th>
      <th class="col">Pago PEI</th>
      <th class="col">TOTAL</th>
      <th class="col">Accion</th>
      <th class="col">Accion</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of datas; let i = index">
      <td>{{ data.date | date: "dd/mm/yy" }}</td>
      <td>{{ data.time }}</td>
      <td>{{ data.termial }}</td>
      <td>{{ data.cobEfec | currency }}</td>
      <td>{{ data.cobPei | currency }}</td>
      <td>{{ data.cobPendEfect | currency }}</td>
      <td>{{ data.cobPendPei | currency }}</td>
      <td>{{ data.paidEfec | currency }}</td>
      <td>{{ data.paidPei | currency }}</td>
      <td>{{ data.totalGeneral | currency }}</td>
      <td>
        <button
          type="button"
          class="btn btn-outline-danger"
          data-bs-toggle="modal"
          [attr.data-bs-target]="'#modal' + data._id"
        >
          <i class="pi pi-times"></i>
        </button>
      </td>
      <td>
        <!--         <a routerLink="/menu/ticket/edit/{{ data._id }}"> -->
        <button type="button" class="btn btn-outline-primary">
          <i class="pi pi-pencil"></i>
        </button>
        <!--         </a> -->
      </td>
      <!-- Modal start -->
      <!-- Modal start -->
      <div
        class="modal fade"
        tabindex="-1"
        id="modal{{ data._id }}"
        aria-labelledby="modal{{data._id}+ok}"
      >
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="modal{{data._id}+ok">
                Eliminar Registro
              </h5>
              <button
                type="button"
                class="btn-close"
                data-bs-dismiss="modal"
                aria-label="Close"
              ></button>
            </div>
            <div class="modal-body">
              <p>¿Desea eliminar esta TX?</p>
            </div>
            <div class="modal-footer">
              <button
                type="button"
                class="btn btn-secondary"
                data-bs-dismiss="modal"
              >
                Cancelar
              </button>
              <button
                (click)="eliminarRegistro(data._id,'modal{{ data._id }}')"
                type="button"
                class="btn btn-danger"
              >
                Eliminar
              </button>
            </div>
          </div>
        </div>
      </div>
      <!-- Modal ent -->
    </tr>
  </tbody>
  <button class="btn btn-info" (click)="downloadFile(datas)">
    Exportar a CSV
  </button>
</table>
